% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Prov.Anomalies.R
\name{Prov.Anomalies}
\alias{Prov.Anomalies}
\title{Generate provenance for SUNSET's Anomalies module execution}
\usage{
Prov.Anomalies(recipe, data, graph, type)
}
\arguments{
\item{recipe}{Configuration file specifying parameters (SUNSET recipe).}

\item{data}{s2dv_cube object generated by SUNSET's Anomalies.R function.}

\item{graph}{Current provenance graph.}

\item{type}{Type of data: "fcst" for forecast, "hcst" for hindcast, or "obs" for observational data.}
}
\value{
List containing updated graph and parent node name.
}
\description{
Generate provenance information for the execution of SUNSET's Anomalies module. Returns an igraph object with the appended provenance.
}
\details{
This function generates provenance information for the execution of SUNSET's Anomalies module.
}
\references{
This function is based on the semantics outlined in the Calibration ontology within the Metaclip Framework (available at \url{http://www.metaclip.org/}).

https://earth.bsc.es/gitlab/es/sunset/-/tree/dev-test-provenance?ref_type=heads Documentation for SUNSET's provenance generation.
}
