% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SunsetProv.Dataset.R
\name{SunsetProv.Dataset}
\alias{SunsetProv.Dataset}
\title{Directed metadata graph construction for SUNSET's Loading module}
\usage{
SunsetProv.Dataset(recipe, data)
}
\arguments{
\item{recipe}{Configuration file specifying parameters.}

\item{data}{s2dv_cube object generated by SUNSET's Loading.R function.}
}
\description{
Generate provenance for a SUNSET workflow involving loading of climate forecast, hindcast and observational data.
}
\details{
This function constructs provenance information for a SUNSET workflow, specifically focusing on the loading module. It generates provenance for climate forecast hindcast and observational data, 
including dataset subsets and reggriding information. The function integrates other provenance generation functions to create a comprehensive metadata graph.
}
\references{
SUNSET GitLab Repository: https://earth.bsc.es/gitlab/es/sunset/-/wikis/home
This repository hosts SUNSET, a modular tool for subseasonal to seasonal to decadal forecast verification workflows. It is structured modularly to allow skipping or reordering workflow parts.

https://earth.bsc.es/gitlab/es/sunset/-/wikis/home GitLab repository for SUNSET, a modular tool for climate forecast verification workflows.

This function is based on the semantics outlined in the ontology within the Metaclip Framework (available at \url{http://www.metaclip.org/}).
}
